<template>
  <div class="calendar">
    <v-btn
      icon
      class="ml-auto"
      @click="removeCalendar"
    >
      <v-icon>mdi-close-circle-outline</v-icon>
    </v-btn>
    <div class="month">
      <v-icon>mdi-chevron-left</v-icon>
      <p>Март 2021</p>
      <v-icon>mdi-chevron-right</v-icon>
    </div>
    <div class="wrap">
      <ul class="weekdays">
        <li
          v-for="week in table.weeks"
          :key="week"
        >
          {{week.name}}
        </li>
      </ul>
      <div
        class="days"
      >
        <div
          v-for="n in 31"
          :key="`day-${n}`"
          @click="table.daysActive = n"
          class="day"
          :class="{'_active': table.daysActive === n}"
        >{{n}}</div>
      </div>
    </div>
    <div class="calendar-title">
      <div class="date" style="color: #3183FF">25 марта 2021</div>
      <div class="pa-4 calendar-title-wrap">
        <div class="left-container">
          <div class="wrap">
            <span style="color: #3183FF">Ответственный:</span><span style="text-align: left">Иванова Л.Н.</span>
          </div>
          <div class="wrap">
            <span style="color: #3183FF">Исполнитель:</span><span style="text-align: left">Юдина Н.С.</span>
          </div>
        </div>
        <v-divider vertical class="ml-10"></v-divider>
        <div class="right-container"></div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Calendar',
  data () {
    return {
      table: {
        weeks: [
          { name: 'пн' },
          { name: 'вт' },
          { name: 'ср' },
          { name: 'чт' },
          { name: 'пт' },
          { name: 'сб' },
          { name: 'вс' }
        ],
        daysActive: 9
      }
    }
  },
  props: {
    title: String,
    subtitle: String,
    isPopup: Boolean
  },
  emits: [
    'removeCalendar'
  ],
  methods: {
    removeCalendar () {
      this.$emit('removeCalendar')
    }
  }
}
</script>

<style scoped lang="scss">
  .calendar {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    .month {
      display: flex;
      align-items: center;
      margin-bottom: 25px;
      p {
        margin: 0;
        width: 200px;
        text-align: center;
        font-weight: 600;
        font-size: 13px;
      }
      i {
        cursor: pointer;
      }
    }
    .wrap {
      width: 100%;
      .weekdays {
        margin: 0;
        padding: 10px 0;
        width: 100%;
        li {
          display: inline-block;
          width: 13.6%;
          color: rgba(0, 0, 0, 0.3);
          text-align: center;
          margin: 3px;
          border-radius: 4px;
          cursor: pointer;
        }
      }
      .days {
        padding: 10px 0;
        margin: 0;
        .day {
          height: 28px;
          cursor: pointer;
          margin: 3px;
          border-radius: 4px;
          list-style-type: none;
          display: inline-flex;
          align-items: center;
          justify-content: center;
          width: 13.6%;
          text-align: center;
          font-size:12px;
          color: #3183FF;
          background-color: #E5E5E5;
          transition: all .3s;
          &:hover {
            background: #FFFFFF;
          }
          &._active {
            box-shadow: inset 0px 2px 0px #84BD5A;
          }
          &._active-red {
            box-shadow: inset 0px 2px 0px #DB4661;
          }
        }
      }
      @media screen and (max-width:720px) {
        .weekdays li, .days li {width: 13.1%;}
      }
      @media screen and (max-width: 420px) {
        .weekdays li, .days li {width: 12.5%;}
        .days li .active {padding: 2px;}
      }
      @media screen and (max-width: 290px) {
        .weekdays li, .days li {width: 12.2%;}
      }
    }
    .calendar-title {
      width: 100%;
      .calendar-title-wrap {
        display: flex;
        border: 1px solid rgba(0, 0, 0, 0.16);
        box-sizing: border-box;
        border-radius: 4px;
        .left-container {
          min-width: 250px;
          padding-right: 20px;
          .wrap {
            display: flex;
            justify-content: space-between;
          }
        }
      }
    }
  }
</style>
